Skip to content

Search for internal articles

Request

You can search for internal articles by making a GET request to https://api.intercom.io/internal_articles/search.

Requires the read_write_articles_scope OAuth scope.

Security
bearerAuth
Query
folder_idinteger

The ID of the folder to search in. Results will include articles from this folder and all its descendant folders. If omitted or blank, the response is an empty list.

Example:folder_id=123
pageinteger

The page of results to fetch. Defaults to 1.

Example:page=1
per_pageinteger

The number of results to return per page. Defaults to 10.

Example:per_page=10
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/internal_articles/search?folder_id=123&page=1&per_page=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Search successful

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"
total_countinteger

The total number of Internal Articles matching the search query

Example:5
internal_articlesArray of objects(Internal Article)

An array of Internal Article objects

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

Response
{ "type": "list", "total_count": 1, "internal_articles": [ { … } ], "pages": { "type": "pages", "page": 1, "total_pages": 1, "per_page": 10 } }